%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname matplotlib 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        3.7.2
Release:        1
Summary:        A tool for plotting graphs
License:        Python Software Foundation License (PSF)
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz


BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
BuildRequires:  openblas-devel >= 0.3.18
BuildRequires:  libjpeg-devel >= 9e
BuildRequires:  %{python_major}-wheel >= 0.41.2
BuildRequires:  %{python_major}-setuptools-scm >= 8.0.4
BuildRequires:  %{python_major}-certifi >= 2020.06.20
BuildRequires:  %{python_major}-oldest-supported-numpy >= 2023.10.25
BuildRequires:  %{python_major}-typing_extensions >= 4.8.0
BuildRequires:  %{python_major}-pybind11 >= 2.6
BuildRequires:  %{python_major}-numpy >= 1.21.2
BuildRequires:  %{python_major}-packaging >= 20
BuildRequires:  %{python_major}-tomli >= 1
Requires:       %{python_major}-packaging >= 20
Requires:       %{python_major} >= %{py_major}.16
Requires:       %{python_major}-pyparsing >= 2.4.4
Requires:       %{python_major}-kiwisolver >= 1.4.5
Requires:       %{python_major}-dateutil >= 2.7.17
Requires:       %{python_major}-numpy >= 1.21.6
Requires:       %{python_major}-Pillow >= 10.0.0
Requires:       %{python_major}-cycler >= 0.11
Requires:       %{python_major}-importlib_resources >= 6.0.1
Requires:       openblas >= 0.3.18
Requires:       libjpeg >= 9e
Requires:       %{python_major}-contourpy >= 1.1.1
Requires:       %{python_major}-fonttools >= 4.42.1

%description
Matplotlib is a comprehensive library for creating static, animated, and interactive visualizations in Python.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.16
Requires:      %{name} = %{version}-%{release}
Requires:      python3-packaging >= 20
Requires:      python3-pyparsing >= 2.4.4
Requires:      python3-kiwisolver >= 1.4.5
Requires:      python3-dateutil >= 2.7.17
Requires:      python3-numpy >= 1.21.6
Requires:      python3-Pillow >= 10.0.0
Requires:      python3-cycler >= 0.11
Requires:      python3-importlib_resources >= 6.0.1
Requires:      python3-contourpy >= 1.1.1
Requires:      python3-fonttools >= 4.42.1

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
pip3.9 install . --root %{buildroot} --no-build-isolation -I --no-deps 

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc README.md
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Fri Sep 15 2023 Aditya Kamath <Aditya.Kamath1@ibm.com> - 3.7.2-1
- matplotlib for python3.9
